io.etcd.jetcd.api

## Interface CompactionRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  CompactionRequest, CompactionRequest.Builder

    public interface CompactionRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getPhysical()` physical is set so the RPC will wait until the compaction is physically applied to the local database such that compacted entries are totally removed from the backend database.
`long` `getRevision()` revision is the key-value store revision for the compaction operation.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getRevision

    long getRevision()

     revision is the key-value store revision for the compaction operation.

`int64 revision = 1;`

Returns:
  The revision.

#### getPhysical

    boolean getPhysical()

     physical is set so the RPC will wait until the compaction is physically
     applied to the local database such that compacted entries are totally
     removed from the backend database.

`bool physical = 2;`

Returns:
  The physical.